import { Meteor } from 'meteor/meteor';
import { Template } from 'meteor/templating';
import { Tasks } from '../models/task.js';

import './goal.html';
// Template.goal.onCreated(function bodyOnCreated() {
//   Meteor.subscribe('taskInstances');
// });

Template.goal.events({
  
  'click .delete'() {
    Meteor.call('goals.remove', this._id);
  },

  'submit .assign-to'(event) {
    // Prevent default browser form submit
    event.preventDefault();
 
    // Get value from form element
    const target = event.target;
    var personId = target.personId.value;
    Meteor.call('goals.assignTo', this._id, personId);
  },

  'submit .complete-to'(event) {
    // Prevent default browser form submit
    event.preventDefault();
 
    // Get value from form element
    const target = event.target;
    var personId = target.personId.value;
    var tasksAssignedToPerson = Tasks.find({  personId : { $eq : personId },
                                              isCompleted : { $eq: true} 
                                            } 
                                            ).fetch();

    var ids = _.pluck(tasksAssignedToPerson, '_id')

    Meteor.call('goals.isCompleted', this._id, ids);
  },
});
Template.goal.helpers({
  tasky(personIndex) {
    return Tasks.find({ personIndex : { $eq : personIndex } });
  },
});
