﻿using System.Collections.Generic;
using UnityEngine;

namespace Constants
{
    public class Colors
    {
        public static Color undefinedBackgroundColor = GameLogic.HexToColor("5e4254");
        public static Color undefinedRingColor = new Color(0.686f, 0.682f, 0.678f); // #AFAEAD hardcode
        public static Color goalBackground = GameLogic.HexToColor("33686E");
        public static Color goalCompleted = GameLogic.HexToColor("93C01F");

        public static List<string> profileColors = new List<string>() {
            "#01AB9E", "#E04D83", "#F8D52C", "#F7A511", "#94C123", "D73F24" };
    }

    public class Camera
    {
        public static float cameraSpeed = 2f;
        public static float pixelsPerUnit = 100;
        public static Vector3 upPosition = new Vector3(0, 0, -10f);
        public static Vector3 downPosition = new Vector3(0, -7.5f, -10f);
    }

    public class TaskBar
    {
        // These constants are percentage of the screen. 
        // X = 1.0: right side, X = -1.0: left side.
        // Y = 1.0: top, Y = -1.0: bottom. 
        public static float taskbarY = 0.4f;
        public static float taskStartX = -0.75f;
        public static float space = 0.1f;
    }

    public class TaskPhysics
    {
        public static float maxLaunchVelocity = 20f;
        public static float maxVelocityRadius = 2f;
        public static float safeRadius = 1f;
        public static float dragThreshold = 0.25f;
    }

    public class Pools
    {
        // percentage of the screen. 2 = wole screen, 1 = half screen
        public static float poolHeight = 0.9f;
    }

    public class Touch
    {
        public static float swipeTolerance = 80;
    }

    public class UI
    {
        public static int maxAge = 100;
        public static List<string> months = new List<string>() {
        "Jan", "Feb", "Mar", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des" };
        public static List<string> weekDays = new List<string>() {
        "Mandag", "Tirsdag", "Onsdag", "Torsdag", "Fredag", "Lørdag", "Søndag"};
        public static string years = "år";
    }
}
