﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HomeworkTaskController : MonoBehaviour {

    public SpriteRenderer background;
    public GameObject homeworkGUIWindowPrefab;
    public SpriteRenderer icon;

    private Transform target;
    private HomeworkTask[] homework;
    private Sprite homeworkIcon;

    public void SetBackgroundColor(Color color)
    {
        this.background.color = color;
    }

    public void OpenHomeworkGUI()
    {
        Debug.Log("Open homework GUI!");

        var homeworkGUIWindow = Instantiate(homeworkGUIWindowPrefab);
        homeworkGUIWindow.transform.SetParent(GameObject.Find("Canvas").transform,false);

        homeworkGUIWindow.GetComponent<HomeworkGUIController>().SetHomework(homework);
        homeworkGUIWindow.GetComponent<HomeworkGUIController>().SetOriginTaskIcon(gameObject);
        //set icon
        homeworkGUIWindow.GetComponent<HomeworkGUIController>().SetHomeworkIcon(homeworkIcon);
    }

    public void SetIcon(Sprite icon)
    {
        this.homeworkIcon = icon;
        this.icon.sprite = homeworkIcon;
    }

    public void SetHomework(HomeworkTask[] homework)
    {
        this.homework = homework;
    }

    public void SetTarget(Transform target)
    {
        this.target = target;
    }

    public Transform GetTarget()
    {
        return this.target;
    }

}
