﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SchoolClassManager : MonoBehaviour {

    public GameObject SpawnRoot;
    public GameObject SchoolClassIcon;

    // Test data
    private SchoolClass[] testData = new SchoolClass[] {
        new SchoolClass(0,"5C", new string[] {"Husk svømmetøy til tirsdag.", "Husk å ta med batteri til batteriinnsamlingen på fredag."}, new Pupil[] {new Pupil("Sebastian",Gender.MALE),new Pupil("Ola",Gender.MALE),new Pupil("Lise",Gender.FEMALE) }, 200f, 1000f, "Spille slåball"),
        new SchoolClass(1,"3B", new string[] {"Husk gymtøy til onsdag.", "Elevene trenger underskrift fra foreldrene til klassetur."}, new Pupil[] {new Pupil("Markus",Gender.MALE),new Pupil("Jessica",Gender.FEMALE),new Pupil("Lotte",Gender.FEMALE) }, 800f, 1000f, "Klassetur")
    };

	void Start () {
        this.SpawnRoot = GameObject.Find("TopCanvas");
    
        Vector3 offset = GameObject.Find("Gear").transform.position;
        offset += new Vector3(-2f,0,0);

        foreach (SchoolClass schoolClass in testData)
        {
            var schoolClassToSpawn = Instantiate(SchoolClassIcon);
            schoolClassToSpawn.transform.SetParent(SpawnRoot.transform,false);

            schoolClassToSpawn.transform.position = offset;
            offset += new Vector3(-2f, 0, 0);

            schoolClassToSpawn.transform.localScale = new Vector3(1f,1f,1f);

            SchoolClassIconController controller = schoolClassToSpawn.GetComponent<SchoolClassIconController>();
            controller.SetSchoolClassName(schoolClass.GetName());
            controller.SetProgressbar(schoolClass.GetCurrentPoints(), schoolClass.GetMaxPoints() );
            controller.SetSchoolClass(schoolClass);
        }
	}
	
}
