﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

/*
 * A class that contains the properties of a link tab
 */
public class LinkTabController : MonoBehaviour {

    public GameObject labelBorder;
    public Text labelText;

    private int index;
    private string link;

    public void SetIndex(int index)
    {
        this.index = index;
    }
    public void SetLink(string link)
    {
        this.link = link;
    }

    public int GetIndex()
    {
        return this.index;
    }

    public void OpenLink()
    {
        Application.OpenURL(this.link);
    }

    public void SetColor(Color32 color)
    {
        GetComponent<Image>().color = color;
        GetComponentInChildren<Text>().color = color;
        labelBorder.GetComponent<Image>().color = color;
    }

    public void SetText(string text)
    {
        labelText.text = text;
    }
}
