﻿using Data;
using UnityEngine;
using UnityEngine.EventSystems;

public class GoalBall : MonoBehaviour, IPointerClickHandler
{
    public GameObject goalRedeemMenuPrefab;
    public SpriteRenderer background;
    public SpriteRenderer goalIcon;
    public new CircleCollider2D collider;

    private Goal goal;

    public Goal Goal
    {
        get { return goal; }
        set
        {
            if (value != null)
            {
                goal = value;
                background.color = Constants.Colors.goalCompleted;
                goalIcon.sprite = goal.Sprite;
            }
        }
    }

    public void OnPointerClick(PointerEventData eventData)
    {
        var goalRedeemMenu = Instantiate(goalRedeemMenuPrefab).GetComponent<GoalRedeemMenu>();
        goalRedeemMenu.Goal = goal;
        goalRedeemMenu.GoalBall = gameObject;
    }
}
