﻿using System.Collections.Generic;
using UnityEngine;

public class TaskAim : MonoBehaviour {

    private GameObject aimSpritesGo;
    private Sprite templateSprite;
    private List<SpriteRenderer> aimSprites;
    private Vector2 startPosition;
    private static float space = 0.1f;
    private static float totalSpace;

    public void Awake ()
    {
        aimSpritesGo = new GameObject("AimSprites");
        aimSpritesGo.transform.SetParent(transform, false);
        templateSprite = Resources.Load<Sprite>("v4/FloatingElements/aimBall");
        aimSprites = new List<SpriteRenderer>();
        float aimSpriteWidth = templateSprite.bounds.size.x;
        totalSpace = aimSpriteWidth + space;
    }

    public void UpdateAngle(Vector2 currentPosition)
    {
        float dist = Vector2.Distance(startPosition, currentPosition);
        foreach (var a in aimSprites)
        {
            Destroy(a.gameObject);
        }
        aimSprites.Clear();
        for (float x = -dist; x < dist; x += totalSpace)
        {
            var spriteRenderer = new GameObject("AimSprite", typeof(SpriteRenderer)).GetComponent<SpriteRenderer>();
            spriteRenderer.sprite = templateSprite;
            spriteRenderer.transform.SetParent(aimSpritesGo.transform, false);
            spriteRenderer.transform.localPosition = new Vector2(x, 0);
            aimSprites.Add(spriteRenderer);
        }

        transform.right = currentPosition - startPosition;
    }

    public Vector2 StartPosition
    {
        get { return startPosition; }
        set
        {
            startPosition = value;
            transform.position = startPosition;
        }
    }
}
