﻿using Data;
using Manage.Services.Synchronizers;
using UnityEngine;
using UnityEngine.UI;

public class GoalRedeemMenu : MonoBehaviour
{
    public Image background;
    public Image goalIcon;
    public Image rewardIcon;
    public Text goalText;

    private Goal goal;

    public GameObject GoalBall { get; set; }

    public Goal Goal
    {
        get { return goal; }
        set
        {
            goal = value;
            if (goal.Person != null)
                background.color = goal.Person.Color;
            goalIcon.sprite = goal.Sprite;
            rewardIcon.sprite = goal.Sprite;
            goalText.text = goal.Description;
        }
    }

    public void Awake()
    {
        var canvas = GameObject.Find("Canvas").transform;
        transform.SetParent(canvas, false);
    }

    public void OnClose()
    {
        Destroy(gameObject);
    }

    public void OnRedeem()
    {
        var goalSynchronizer = GameObject.Find("Server").GetComponent<GoalSynchronizer>();
        goalSynchronizer.RedeemGoal(goal);
        Destroy(GoalBall);
        Destroy(gameObject);
    }
}
