﻿using Constants;
using Data;
using UnityEngine;
using UnityEngine.UI;

public class PersonView : MonoBehaviour
{
    public Image background;
    public Image avatar;
    public Text personName;
    public Text age;

    private Person person;

    public Person Person
    {
        get { return person; }
        set
        {
            person = value;
            person.PropertyChanged += PersonPropertyChanged;
            background.color = person.Color;
            avatar.sprite = person.Avatar;
            personName.text = person.Name;
            age.text = GameLogic.AgeInYears(person.DateOfBirth) + " år";
        }
    }

    private void PersonPropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
    {
        switch (e.PropertyName)
        {
            case PersonProperties.Color:
                background.color = person.Color;
                break;
            case PersonProperties.Avatar:
                avatar.sprite = person.Avatar;
                break;
            case PersonProperties.DateOfBirth:
                age.text = GameLogic.AgeInYears(person.DateOfBirth) + " år";
                break;
            case PersonProperties.Name:
                personName.text = person.Name;
                break;
            default: // Do nothing
                break;
        }
    }

    public void OnDestroy()
    {
        person.PropertyChanged -= PersonPropertyChanged;
    }
}
